import * as moment from 'moment';
import 'moment/locale/fr';
import {
	getMobileOperatingSystem,
	openLinkInApps,
	openLinksInNav,
} from './open-outbound-links';
import {
	TwitterEOMultipleContentOptions,
	addToTwitterCounter,
	checkChosenRepresentatives,
	consultationChooseOption,
	copyElement,
	displayElement,
	displayModal,
	displayRandomElement,
	formatMapResult,
	getCookie,
	getEmail,
	hideElement,
	launchLoadingScripts,
	listenSelectRepresentativeCardClick,
	manageSelectLanguage,
	representativeSearchUpdateFunction,
	scriptLauncherActions,
	scrollToDestination,
	selectAllRepresentatives,
	selectRepresentativeCardClick,
	showHideBlocks,
	solidMapSearch,
	visibilityControler,
	visibilityControlerTargettedMethod,
} from './risefor';

import './contact-representatives';
import {
	initContactRepresentatives,
	clickDisplaySelectedOfficialsCTA,
	displayContactModule,
	loadActionUrl,
	customizeRepresentativeContent,
	openMailBox,
	addFederatedInstaceDataSource,
	emailSentCounter,
} from './contact-representatives';

moment.locale('fr');

document.addEventListener('DOMContentLoaded', function () {
	/* ====
	MOBILE MENU
	====*/
	const menucall = document.getElementById('call-mobile-menu');
	const mainmenu = document.getElementById('main-menu');

	menucall?.addEventListener('click', function () {
		menucall.classList.toggle('menu-on-l');
		mainmenu?.classList.toggle('menu-on-l');
	});

	mainmenu?.addEventListener('click', function () {
		menucall?.classList.toggle('menu-on-l');
		mainmenu.classList.toggle('menu-on-l');
	});

	initContactRepresentatives();
}); // END of EventListener "DOMContentLoaded"

// inject functions into the window
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const w: any = window;
w.launchLoadingScripts = launchLoadingScripts;
w.consultationChooseOption = consultationChooseOption;
w.scrollToDestination = scrollToDestination;
w.displayRandomElement = displayRandomElement;
w.scriptLauncherActions = scriptLauncherActions;
w.showHideBlocks = showHideBlocks;
w.displayElement = displayElement;
w.hideElement = hideElement;
w.copyElement = copyElement;
w.TwitterEOMultipleContentOptions = TwitterEOMultipleContentOptions;
w.representativeSearchUpdateFunction = representativeSearchUpdateFunction;
w.selectRepresentativeCardClick = selectRepresentativeCardClick;
w.listenSelectRepresentativeCardClick = listenSelectRepresentativeCardClick;
w.selectAllRepresentatives = selectAllRepresentatives;
w.getEmail = getEmail;
w.displayModal = displayModal;
w.visibilityControler = visibilityControler;
w.visibilityControlerTargettedMethod = visibilityControlerTargettedMethod;
w.manageSelectLanguage = manageSelectLanguage;
w.solidMapSearch = solidMapSearch;
w.formatMapResult = formatMapResult;

w.getMobileOperatingSystem = getMobileOperatingSystem;
w.openLinkInApps = openLinkInApps;
w.openLinksInNav = openLinksInNav;

w.addToTwitterCounter = addToTwitterCounter;
w.checkChosenRepresentatives = checkChosenRepresentatives;
w.getCookie = getCookie;

w.clickDisplaySelectedOfficialsCTA = clickDisplaySelectedOfficialsCTA;
w.displayContactModule = displayContactModule;
w.loadActionUrl = loadActionUrl;
w.customizeRepresentativeContent = customizeRepresentativeContent;
w.openMailBox = openMailBox;
w.addFederatedInstaceDataSource = addFederatedInstaceDataSource;
w.emailSentCounter = emailSentCounter;
